public class IntegerMatrix extends GenericMatrix<Integer> {
  @Override /** Dodaje dwie liczby całkowite */
  protected Integer add(Integer o1, Integer o2) {
    return o1 + o2;
  }

  @Override /** Mnoży dwie liczby całkowite */
  protected Integer multiply(Integer o1, Integer o2) {
    return o1 * o2;
  }

  @Override /** Określa zero dla liczb całkowitych */
  protected Integer zero() {
    return 0;
  }
}
